Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class NameListToComboBoxModelAdapter

    java.lang.Object
      |
      +--javax.swing.AbstractListModel
            |
            +--ru.biosoft.access.support.NameListToListModelAdapter
                  |
                  +--ru.biosoft.access.support.NameListToComboBoxModelAdapter

public class NameListToComboBoxModelAdapter
extends NameListToListModelAdapter
implements ComboBoxModel, MutableComboBoxModel

Constructor Summary
`NameListToComboBoxModelAdapter(DataCollection dataCollection)`

Method Summary
`void` | `addElement(Object obj)` Adds new element according to sorting order.
`Object` | `getSelectedItem()`
`void` | `insertElementAt(Object obj, int index)`
`void` | `removeElement(Object obj)`
`void` | `removeElementAt(int index)`
`void` | `setSelectedItem(Object anItem)`

Methods inherited from class ru.biosoft.access.support.NameListToListModelAdapter
`elementAdded, elementChanged, elementRemoved, elementWillAdd, elementWillChange, elementWillRemove, getElementAt, getSize`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, removeListDataListener, getListeners`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameListToComboBoxModelAdapter

    public NameListToComboBoxModelAdapter(DataCollection dataCollection)

Method Detail

### addElement

    public void addElement(Object obj)

  Adds new element according to sorting order.

### getSelectedItem

    public Object getSelectedItem()

### insertElementAt

    public void insertElementAt(Object obj, int index)

### removeElement

    public void removeElement(Object obj)

### removeElementAt

    public void removeElementAt(int index)

### setSelectedItem

    public void setSelectedItem(Object anItem)

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM